Subject: Re: [PATCH v5 0/5] Add support for QMC HDLC

From: Andy Shevchenko <[email-masked]>
Date: Thu, 29 Feb 2024 17:23:32 +0200

On Thu, Feb 29, 2024 at 03:15:48PM +0100, Herve Codina wrote:
> Hi,
> 
> This series introduces the QMC HDLC support.
> 
> Patches were previously sent as part of a full feature series and were
> previously reviewed in that context:
> "Add support for QMC HDLC, framer infrastructure and PEF2256 framer" [1]
> 
> In order to ease the merge, the full feature series has been split and
> needed parts were merged in v6.8-rc1:
>  - "Prepare the PowerQUICC QMC and TSA for the HDLC QMC driver" [2]
>  - "Add support for framer infrastructure and PEF2256 framer" [3]
> 
> This series contains patches related to the QMC HDLC part (QMC HDLC
> driver):
>  - Introduce the QMC HDLC driver (patches 1 and 2)
>  - Add timeslots change support in QMC HDLC (patch 3)
>  - Add framer support as a framer consumer in QMC HDLC (patch 4)
> 
> Compare to the original full feature series, a modification was done on
> patch 3 in order to use a coherent prefix in the commit title.
> 
> I kept the patches unsquashed as they were previously sent and reviewed.
> Of course, I can squash them if needed.

I think it's a good series and next version will be final. The only question is
possible use of the returned values from bitmap_scatter()/bitmap_gather(), the
rest are minors.

Feel free to add
Reviewed-by: Andy Shevchenko <[email-masked]>
to patches 4 and 5.

-- 
With Best Regards,
Andy Shevchenko